/*************************************************************************************************

    Copyright (C) 2009-2018    Vasileios Vavourakis (vasvav@gmail.com)

    This program is free software; you can redistribute it and/or modify it under the terms of
    the GNU General Public License as published by the Free Software Foundation; either version 2
    of the License, or (at your option) any later version.

    This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
    without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See
    the GNU General Public License for more details.

    You should have received a copy of the GNU General Public License along with this program; if
    not, write to:
        Free Software Foundation, Inc.,
        59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

 *************************************************************************************************/

//=================================================================================================
#ifndef __REACTION_DIFFUSION_SORVER_XD_INLINE_H__
#define __REACTION_DIFFUSION_SORVER_XD_INLINE_H__
//=================================================================================================
inline
const std::string& ReactionDiffusionSolverXD::get_label () const {
    return this->_label;
}
inline
const std::string ReactionDiffusionSolverXD::get_log () const {
    return this->_log.get_log();
}
inline
const DomainData& ReactionDiffusionSolverXD::get_domain () const {
    return this->_dmn;
}
//=================================================================================================
#endif // __REACTION_DIFFUSION_SORVER_XD_INLINE_H__
//=================================================================================================
