/*************************************************************************************************

    Copyright (C) 2009-2019    Jean de Montigny (jean.demontigny@hotmail.fr)
                               Vasileios Vavourakis (vasvav@gmail.com)

    This program is free software; you can redistribute it and/or modify it under the terms of
    the GNU General Public License as published by the Free Software Foundation; either version 2
    of the License, or (at your option) any later version.

    This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
    without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See
    the GNU General Public License for more details.

    You should have received a copy of the GNU General Public License along with this program; if
    not, write to:
        Free Software Foundation, Inc.,
        59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

 *************************************************************************************************/

//=================================================================================================
#ifndef __BDM_MIGRATING_CELL_H__
#define __BDM_MIGRATING_CELL_H__
//=================================================================================================
//
// NOTE: everything is set public for test purposes; will need to set class members as private
//       and (at some point in the future) create public methods to access them...
//
//=================================================================================================
class MigratingCell {
public:
    MigratingCell () {}
    ~MigratingCell () {}
public:
    // most important (and basic) information a migrating cell need to carry within
    std::array<double, 3> position;
    double diameter;
    int phenotype, age;
};
//=================================================================================================
#endif // __BDM_MIGRATING_CELL_H__
//=================================================================================================
